Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPixel Class Reference

`#include <vtkPixel.h>`

Inheritance diagram for vtkPixel:

[legend]
Collaboration diagram for vtkPixel:

[legend]
List of all members.

## Detailed Description

a cell that represents an orthogonal quadrilateral

Date:
  2002/12/26 18:24:21

Revision:
  1.62

vtkPixel is a concrete implementation of vtkCell to represent a 2D orthogonal quadrilateral. Unlike vtkQuad, the corners are at right angles, and aligned along x-y-z coordinate axes leading to large increases in computational efficiency.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (69%)
  - Geveci, Berk (7%)
  - Martin, Ken (6%)
  - Law, Charles (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkPixel.h)`
  - .`cxx` (`/Common/vtkPixel.cxx)`

Examples:
  vtkPixel (Examples)

Tests:
  vtkPixel (Tests)

Definition at line 54 of file vtkPixel.h.

## Public Types
typedef vtkCell | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | GetCellType ()
int | GetCellDimension ()
int | GetNumberOfEdges ()
int | GetNumberOfFaces ()
vtkCell * | GetEdge (int edgeId)
vtkCell * | GetFace (int)
int | CellBoundary (int subId, float pcoords[3], vtkIdList *pts)
void | Contour (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *verts, vtkCellArray *lines, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd)
void | Clip (float value, vtkDataArray *cellScalars, vtkPointLocator *locator, vtkCellArray *polys, vtkPointData *inPd, vtkPointData *outPd, vtkCellData *inCd, vtkIdType cellId, vtkCellData *outCd, int insideOut)
int | EvaluatePosition (float x[3], float *closestPoint, int &subId, float pcoords[3], float &dist2, float *weights)
void | EvaluateLocation (int &subId, float pcoords[3], float x[3], float *weights)
int | IntersectWithLine (float p1[3], float p2[3], float tol, float &t, float x[3], float pcoords[3], int &subId)
int | Triangulate (int index, vtkIdList *ptIds, vtkPoints *pts)
void | Derivatives (int subId, float pcoords[3], float *values, int dim, float *derivs)
## Static Public Methods
vtkPixel * | New ()
int | IsTypeOf (const char *type)
vtkPixel * | SafeDownCast (vtkObject *o)
void | InterpolationFunctions (float pcoords[3], float weights[4])
void | InterpolationDerivs (float pcoords[3], float derivs[8])
## Protected Methods
| vtkPixel ()
| ~vtkPixel ()
## Protected Attributes
vtkLine * | Line

## Member Typedef Documentation

typedef vtkCell vtkPixel::Superclass

| Reimplemented from vtkCell. Definition at line 58 of file vtkPixel.h.

## Constructor & Destructor Documentation

vtkPixel::vtkPixel | ( |  | ) | `[protected]`

vtkPixel::~vtkPixel | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPixel* vtkPixel::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPixel::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCell.

int vtkPixel::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

virtual int vtkPixel::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCell.

vtkPixel* vtkPixel::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCell.

int vtkPixel::GetCellType | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 62 of file vtkPixel.h. References VTK_PIXEL.

int vtkPixel::GetCellDimension | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 63 of file vtkPixel.h.

int vtkPixel::GetNumberOfEdges | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 64 of file vtkPixel.h.

int vtkPixel::GetNumberOfFaces | ( |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 65 of file vtkPixel.h.

vtkCell* vtkPixel::GetEdge | ( | int | edgeId | ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

vtkCell* vtkPixel::GetFace | ( | int |  | ) | `[inline, virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell. Definition at line 67 of file vtkPixel.h.

int vtkPixel::CellBoundary | ( | int | subId,
|  | float | pcoords[3],
|  | vtkIdList * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPixel::Contour | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | verts,
|  | vtkCellArray * | lines,
|  | vtkCellArray * | polys,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPixel::Clip | ( | float | value,
|  | vtkDataArray * | cellScalars,
|  | vtkPointLocator * | locator,
|  | vtkCellArray * | polys,
|  | vtkPointData * | inPd,
|  | vtkPointData * | outPd,
|  | vtkCellData * | inCd,
|  | vtkIdType | cellId,
|  | vtkCellData * | outCd,
|  | int | insideOut
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPixel::EvaluatePosition | ( | float | x[3],
|  | float * | closestPoint,
|  | int & | subId,
|  | float | pcoords[3],
|  | float & | dist2,
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPixel::EvaluateLocation | ( | int & | subId,
|  | float | pcoords[3],
|  | float | x[3],
|  | float * | weights
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPixel::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | float & | t,
|  | float | x[3],
|  | float | pcoords[3],
|  | int & | subId
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

int vtkPixel::Triangulate | ( | int | index,
|  | vtkIdList * | ptIds,
|  | vtkPoints * | pts
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPixel::Derivatives | ( | int | subId,
|  | float | pcoords[3],
|  | float * | values,
|  | int | dim,
|  | float * | derivs
| ) | `[virtual]`

| See the vtkCell API for descriptions of these methods. Implements vtkCell.

void vtkPixel::InterpolationFunctions | ( | float | pcoords[3],
|  | float | weights[4]
| ) | `[static]`

| Pixel specific methods.

void vtkPixel::InterpolationDerivs | ( | float | pcoords[3],
|  | float | derivs[8]
| ) | `[static]`

| Pixel specific methods.

## Member Data Documentation

vtkLine* vtkPixel::Line`[protected]`

| Definition at line 102 of file vtkPixel.h.

The documentation for this class was generated from the following file:

- Common/vtkPixel.h